CIFPARSE(1)

NAME
cifparse - parse CIF file(s), check syntax, and optionally output pretty-printed data.

SYNOPSIS
src/components/codcif/cifparse --options < input.cif

src/components/codcif/cifparse --options input.cif

src/components/codcif/cifparse --options input1.cif input2.cif inputs*.cif

DESCRIPTION
Parse CIF file(s), check syntax, and optionally output pretty-printed data.

OPTIONS
-c, --compile-only
                  Only compile the CIF (check syntax). Prints out
                  the filename and 'OK' or 'FAILED' to STDOUT, along
                  with error messages to STDERR.

-f, --fix-syntax
                  Attempt to fix some errors in inputs CIF files, such as
                  missing data_ headers or unterminated quoted strings.

-f-, --dont-fix-syntax
                  Do not attempt to fix syntax errors in input CIF files.

-p, --print
                  Print out data in CIF format (a kind of CIF pretty-printer).

-d, --debug lex,yacc
                  Specify one or several (comma-separated) debugging options.

                  Currently supported debugging options are:
                    dump
                        Dump internal data structures for inspection.
                    lex
                        Switch on (F)LEX token printout.
                    yacc
                        Ask YACC/BISON to report which rules they reduce.
                    yylval
                        Print out YACC/BISON's yylval.
                    text
                        Dump the perceived input file text.
                    code
                        Dump intermediate CIF code representation.

-l, --line-length-limit 80
                  Set the maximum line length for --report-long checks.

-w, --dataname-length-limit 74
                  Set the maximum tag length for --report-long checks.

-q, --quiet
                  Be quiet, only output error messages and data.

-q-, --no-quiet, --verbose
                  Produce verbose output of the parsing process.

-r, --report-long-items
                  Report CIF items (lines, data names) that are longer
                  than mandated by the standard.

-r-, --do-not-report-long-items
                  Ignore long items in CIF, process all data.

-s, --suppress-errors
                  Suppress error messages from the parser.

-s-, --do-not-suppress-errors
                  Print parser messages to STDERR (default).

-M, --dump-messages
                  Do not use accumulated CIF messages (default).

-M-, --do-not-dump-messages
                  Dump accumulated message texts from the CIF object.

-u, --unfold-lines
                  Unfold long lines (default).

-u-, --do-not-unfold-lines
                  Leave folded lines as they are.

--version
                  Print program version (SVN Id) and exit.

--help
                  Print short usage message (this message) and exit.

REPORTING BUGS
Report cifparse bugs using e-mail: cod-bugs@ibt.lt